=== debian/changelog ===
ubuntu-push (0.2+14.04.20140411-0ubuntu1) trusty; urgency=medium

  [ John Lenton ]
  * New upstream release.

  [ Richard Huddie ]
  * added basic autopilot framework
  * configparser and http post updates
  * removed tests folder

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Apr 2014 18:31:57 +0000

ubuntu-push (0.1+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Tarmac ]
  * Merge automatic into trunk.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 14:52:06 +0000

ubuntu-push (0.1+14.04.20140327-0ubuntu1) trusty; urgency=medium

  [ John Lenton ]
  * got rid of multiarch bug

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Mar 2014 14:11:31 +0000

ubuntu-push (0.1+14.04.20140325.2-0ubuntu1) trusty; urgency=low

  [ Diogo Baeder de Paula Pinto ]
  * [r=pedronis] Adding authorization field to the ConnectMsg struct

  [ Robert Bruce Park ]
  * [r=chipaca] Minor cleanup, with wrap-and-sort.

  [ Nicola Larosa ]
  * [r=pedronis] Reflow comments so that subsequent changes are more
    readable. Only comment reflows, no other changes.
  * [r=pedronis] Clean up docs and comments, and make them look better
    in go doc. No behavior change at all.

  [ john.lenton@canonical.com ]
  * [r=pedronis] A thin wrapper around libwhoopsie/identifier.h.
  * [r=pedronis] A simplified (and more testable) dbus api
  * [r=pedronis] A simplified, testable, Network Manager wrapper
  * [r=pedronis] A super simple connectivity api (in the "am i
    connected?" sense)
  * [r=pedronis] Switched networkmanager to use the non-deprecated api
    for state.
  * [r=pedronis] moved the object proxy into the endpoint
  * [r=pedronis] Made the bus support multi-valued signals (preparatory
    for notifications). Also added tests for TestingBus.
  * [r=pedronis] notifications! first, a low-level api.
  * [r=pedronis] URLDispatcher (and extended endpoint.Call to return
    []interface{})
  * [r=pedronis] moved a bunch of packages under bus/
  * [r=pedronis] change a few of the bus/* services to take a
    bus.Endpoint instead of a bus.Bus
  * [r=pedronis] reworked bus.Endpoint to have a Dial() method, added an
    AutoRedialer() and put the redialing logic in there (for use on
    sessionbus as well, later).
  * [r=pedronis] Nuked the connectivity example.
  * [r=pedronis] Renamed bus/connectivity's Config to
    ConnectivityConfig.
  * [r=pedronis] Introducing AutoRetry, a generic AutoRetry.
  * [r=pedronis] Made bus.Endpoint's WatchSignal use an (exported)
    channel for waiting between sending values, if the channel is not
    nil.
  * [r=pedronis] The client session level map. Interesting as an
    interface and not much more, right now.
  * [r=pedronis] A wild client session appears!
  * [r=pedronis] get rid of a race in the bus/testing watchticker thing
  * [r=pedronis] The handling of the ping.
  * [r=pedronis,chipaca] Broadcasting your horizons.
  * [r=pedronis] The running man.
  * [r=pedronis] Starting to take shape.
  * [r=pedronis] Killed checkRunnable; renamed: Dial -> connect, run ->
    loop.
  * [r=pedronis] Ladies and gentlemen, the client session.
  * [r=pedronis] first step of the v0 of the client
  * [r=pedronis] second step of the v0 of the client: getting the device
    id
  * [r=pedronis] part 3: setting up the bus
  * [r=pedronis] Part 4: added State to client/session, to aid in
    testing some aspects of this.
  * [r=pedronis] added handleConnState
  * [r=pedronis] Several things: features:. * bus/testing/'s Endpoint
    now tracks Calls; call bus/testing.GetCallCargs(endp) to get the
    list. * Client.handleErr, Client.handleNotification and
    Client.handleClick (and tests) cleanups:. * renamed client's
    Client's connState to hasConnectivity * split out code from
    handleConnState into initSession/connectSession/disconnectSession
  * [r=pedronis] Several things: features:. * Client.doLoop, the puppet
    master. fixes and cleanups:. * added log_level to client config *
    added the mysterious sessionRetryCh, used in doLoop to avoid a
    rather common starvation scenario. * found a way not to panic out in
    initSession (not that it's much better) * unified logging in the
    client tests a bit * added logging to session's start error states.
  * [r=pedronis] Reworked or refactored util/redialer, and a bit of
    client/session, and client.
  * [r=pedronis] TestLogger
  * [r=pedronis] and this completes the client library (for now)
  * [r=pedronis] made GetSourceRelative look at the environ to help make
    the tests pass in packaging
  * [r=pedronis] Gave client a constructor, moved setting config file to
    there.
  * [r=pedronis] change the levelmap interface to return errors
  * [r=pedronis] this is sqlevelmap
  * [r=pedronis] bring sqlevelmap into session
  * [r=pedronis] and this gives the client the ability to persist its
    session's levelmap
  * [r=pedronis] The Push Client itself.
  * [r=diogobaeder] Merging the packaging branch (to get on the CI
    train).
  * [r=didrocks] Fixes to packaging, as suggested by didrocks.
  * Bring back source/format, so executable .install file works.

  [ Timo Jyrinki ]
  * [r=chipaca] Add http13client copyright information and use GPL-3.0
    (non-+) license consistently.

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * [r=chipaca] and as a start we get some protocol support and a
    development server and infrastructure
  * [r=chipaca] couple of extra tests and changes to improve test
    coverage
  * [r=chipaca] -insecure (don't check certs) -reportPings=f (don't
    report pings) flags for acceptanceclient
  * [r=chipaca] make the tracker used by the session for logging
    pluggable
  * [r=chipaca] introduce CONNACK message from the server after CONNECT
    to inform the client of connection params like ping interval
  * [r=chipaca] protocol diagrams using graphviz

