=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOPKG := launchpad.net/ubuntu-push
export DEB_BUILD_OPTIONS := nostrip
export UBUNTU_PUSH_TEST_RESOURCES_ROOT := $(CURDIR)

override_dh_install:
	dh_install -Xusr/bin/cmd -Xusr/bin/dev --fail-missing

%:
	dh $@ --buildsystem=golang --with=golang
