## ubuntu-push 0.2.1%2B14.04.20140423.1

=== debian/control ===
Source: ubuntu-push
Section: net
Priority: optional
X-Original-Maintainer: John Lenton <john.lenton@canonical.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-exec (>= 0.3),
               dh-golang,
               golang-go,
               golang-go-dbus-dev,
               golang-go-xdg-dev,
               golang-gocheck-dev,
               golang-gosqlite-dev,
               libgcrypt11-dev,
               libglib2.0-dev (>= 2.31.6),
               libwhoopsie-dev,
Standards-Version: 3.9.5
Homepage: http://launchpad.net/ubuntu-push
Vcs-Bzr: lp:ubuntu-push
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-push-hackers/ubuntu-push/trunk/files

Package: ubuntu-push-client
Architecture: any
Multi-Arch: foreign
Depends: dbus,
         network-manager,
         qtdeclarative5-unity-notifications-plugin | notification-daemon,
         url-dispatcher,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Ubuntu Push Notifications client-side daemon
 The Ubuntu Push Notifications client-side daemon.

Package: golang-ubuntu-push-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Ubuntu Push Notifications client-side daemon development package
 The Ubuntu Push Notifications client-side daemon library.
 .
 This package contains the source.
