## ubuntu-push 0.64.1+14.10.20140910

=== debian/changelog ===
ubuntu-push (0.64.1+14.10.20140910-0ubuntu1) utopic; urgency=medium

  [ Roberto Alsina ]
  * Don't show popups if the screen is locked.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 18:03:25 +0000

ubuntu-push (0.64+14.10.20140908-0ubuntu1) utopic; urgency=medium

  [ Roberto Alsina ]
  * Remove tokens from debug output
  * Doc updates
  * Included example code in docs directory

  [ John R. Lenton]
  * Use libaccounts to track changes to the u1 account used for auth; restart the session on change.
  * Set the MEDIA_PROP env var to select the right media role for notification sounds

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 18:05:11 +0000

ubuntu-push (0.63.2+14.10.20140902.1-0ubuntu1) utopic; urgency=medium

  [ Roberto Alsina ]
  * Avoid busy-loop wben powerd doesn't respond.

  [ Guillermo Gonzalez ]
  * Replace DBus url-dispatcher API with liburl-dispatcher1 C API.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Sep 2014 17:28:19 +0000

ubuntu-push (0.63.1+14.10.20140828-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Support taking a cookie from the server and sending it back on connect (feature was incomplete).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 19:15:56 +0000

ubuntu-push (0.63+14.10.20140827-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Support taking a cookie from the server and sending it back on connect.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 18:47:25 +0000

ubuntu-push (0.62+14.10.20140825.1-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Avoid rare race in kindpool_test.go

  [ John R. Lenton]
  * Interface with account-polld's dbus api.
  * Powerd integration.
  * Use symbolic icon for secondary icon in notification.

  [Roberto Alsina]
  * Log legacy helper failures.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 16:40:29 +0000

ubuntu-push (0.61+14.10.20140812.4-0ubuntu1) utopic; urgency=medium

  [ Guillermo Gonzalez ]
  * Update autopilot tests to work with 0.50, fix setup.sh issues and add new tests for the broadcast notification changes.
  * Replace whoopsie with /var/lib/dbus/machine-id to get the device ID.

  [ John R. Lenton]
  * Support simpler sounds API.
  * Support simpler vibrations API.
  * Remove Vibration's confusing and redundant Duration attribute.
  * Change PostalService's New() to take a setup object.
  * goctest.
  * Make messaging menu entries show current time instead of epoch for timestamp of 0.
  * Tweak the upstart script, start after unity.
  * Correctly report invalid app ids, missing apps, and package/app id mismatches as separate errors over dbus.

  [Roberto Alsina]
  * Check that sound paths don't go up into the tree.
  * Initial draft of QML-based doc

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 02:33:16 +0000

ubuntu-push (0.60+14.10.20140804-0ubuntu1) utopic; urgency=medium

  [ Guillermo Gonzalez ]
  * Add click hook to collect helpers data on install/update/etc and
    support to read the helper cached data, when available, and only
    refresh it when it changes.
  * Include notification settings cleanup in the click install hook, and
    rename it to click-hook

  [ John R. Lenton ]
  * For the gsettings interface: Improve, add tests, make design-compliant.

  [Roberto Alsina]
  * Query gsettings as to whether a notification should be presented.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 04 Aug 2014 15:38:34 +0000

ubuntu-push (0.50+14.10.20140801-0ubuntu1) utopic; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 01 Aug 2014 02:15:29 +0000

ubuntu-push (0.50+14.10.20140729-0ubuntu1) utopic; urgency=medium

  [ Samuele Pedroni ]
  * Cleanup and improve post/Post tests

  [ Guillermo Gonzalez ]
  * Add a loop to cleanup MessagingMenu.notifications map when the
    notifications are dismissed.
  * Add TestURL to URLDispatcher and update DispatchURL signature.
  * Add validateActions (check with url-dispatcher->TestURL) method to the
    PostalService and wire it in messageHandler.

  [ John R. Lenton ]
  * Implement ListPersistent/ClearPersistent/SetCounter postal endpoints.
  * Remove snap decisions support.
  * Remove the notification from the messaging menu when the bubble is
    acted on.
  * Don't run more than 5 helpers at a time, and never more than one per app.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 16:57:35 +0000

ubuntu-push (0.49.1+14.10.20140723.1-0ubuntu1) utopic; urgency=medium

  [ John R. Lenton ]
  * Fixed push-helper click hook pointing at the wrong place.
  * Made exec-tool executable.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Jul 2014 14:09:31 +0000

ubuntu-push (0.49+14.10.20140721.2-0ubuntu1) utopic; urgency=medium

  [Samuele Pedroni]
  * Check in the api whether an app has pushed too many notifications.
  * Return payload of most recent notification in too many pending
    notifications API error.
  * Introduce clear_pending flag to clean everything pending for an app.
  * Refactor and cleanup.
  * Introduce replace_tag support in store and api, with acceptance test.
  * Teach a couple of trick to cmd/acceptanceclient: exit on run timeout,
    wait for event matching given regexp pattern.
  * Limit unicast data payload to 2K.
  * Payload should be json (fixes message needing to be base64-encoded in
    helper reply)
  * Implement limited mboxes
  * Refactor and cleanup of things done in haste by Chipaca.

  [Richard Huddie]
  * autopilot test framework and basic coverage of broadcast notifications.

  [Guillermo Gonzalez]
  * Add scripts to simplify setup/run of the autopilot tests in the
    device/emulator and include basic unicast tests.
  * Add autopilot test for notification using the emblem counter.

