## ubuntu-push 0.68%2B16.04.20160310.2

=== debian/changelog ===
ubuntu-push (0.68+16.04.20160310.2-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * deprecate the usage of Info in the systemimage module and replace it
    with Information disable runtime cgo pointer checks (LP: #1517189,
    #1469398)

 -- Barry Warsaw <ci-train-bot@canonical.com>  Thu, 10 Mar 2016 21:35:55 +0000

ubuntu-push (0.68+16.04.20160114-0ubuntu1) xenial; urgency=medium

  * Handle gccgo on s390x. (LP: #1517189, #1469398)

 -- Rodney Dawes <ci-train-bot@canonical.com>  Thu, 14 Jan 2016 21:13:22 +0000

ubuntu-push (0.68+16.04.20151210-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * use Notifications dbus API to play sounds (LP: #1517189, #1469398)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Thu, 10 Dec 2015 10:16:28 +0000

ubuntu-push (0.68+16.04.20151203-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * present a notification even though the screen is locked (LP:
    #1517189, #1469398)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Thu, 03 Dec 2015 14:56:24 +0000

ubuntu-push (0.68+16.04.20151130-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)
  * New rebuild forced.

  [ John R. Lenton ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Michael Hudson-Doyle ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Rodney Dawes ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ jonas-drange ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Mon, 30 Nov 2015 21:16:20 +0000

ubuntu-push (0.68+15.10.20150814.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * address lp:1451510 aggressively finding gone notifications in Tags()
    truncate runtime.Stack result to size, otherwise we log \x00s or old
    stuff (LP: #1451510)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 14 Aug 2015 14:05:16 +0000

ubuntu-push (0.68+15.04.20150430.1-0ubuntu2~ppa1) wily; urgency=medium

  [ John R. Lenton ]
  * go's compatibility promise fails us again; fixes for 1.4.

 -- John R. Lenton <john.lenton@canonical.com>  Fri, 31 Jul 2015 13:52:04 +0100

ubuntu-push (0.68+15.04.20150430.1-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:10:40 +0000

ubuntu-push (0.68+15.04.20150430.1-0ubuntu1) vivid; urgency=medium

  [ Samuele Pedroni ]
  * switch poller to use killswitch state for WLAN instead of
    misleading NM property (LP: #1446584)
  * don't have goroutines from a previous test overlap with the next,
    races gets detected otherwise
  * have the TestDialWorksDirect* tests quickly timeout, go1.3 wants a
    ServerName set in the tls config for them to work
  * fix flaky test
  * support sha384/512 certs, some exercizing of that
  * let send a build number with acceptanceclient
  * add helper to get int out of ConnectMsg Info

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 30 Apr 2015 15:08:57 +0000

ubuntu-push (0.68+15.04.20150403-0ubuntu1) vivid; urgency=medium

  [ Samuele Pedroni ]
  [Roberto Alsina]
  * click-hook: report failure if hooks_path doesn't exist. [client]

  [Bret Barker]
  * add a hacky busy sleep loop to workaround go's sleep not
    accounting for suspended time, more logging (lp:1435109). [client]

  [John R. Lenton]
  * Refactor code maintaining session (better fix for lp:1390663) [client]

  [Samuele Pedroni]
  * just delegate whether there's a update-worthy image to the
    system-settings helper and system-image. [client]
  * stop waking up for polling if in flight-mode and wireless not

