## ubuntu-push 0.68+16.04.20151124

=== debian/changelog ===
ubuntu-push (0.68+16.04.20151124-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)
  * New rebuild forced.

  [ John R. Lenton ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Michael Hudson-Doyle ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Rodney Dawes ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ Samuele Pedroni (Canonical Services Ltd.) ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

  [ jonas-drange ]
  * Add support for signing methods other than POST via argv[2]. Test
    fixes for Go 1.5. Avoid losing notifications when screen is locked.
    Fix lp:1469398 by using the connectivity state. Fix case where a
    failed powerd wakeup request would deadlock step(). Assert whether
    or not there's a connection using the same method as local
    connectivity package. (LP: #1517189, #1469398)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Tue, 24 Nov 2015 11:22:21 +0000
