=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ubuntu-push
 Section: net
 Priority: optional
-X-Original-Maintainer: John Lenton <john.lenton@canonical.com>
+XSBC-Original-Maintainer: John Lenton <john.lenton@canonical.com>
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-exec (>= 0.3),
@@ -11,9 +11,19 @@
                golang-go-xdg-dev,
                golang-gocheck-dev,
                golang-gosqlite-dev,
+               golang-uuid-dev,
                libgcrypt11-dev,
                libglib2.0-dev (>= 2.31.6),
-               libwhoopsie-dev,
+               libmessaging-menu-dev,
+               libubuntu-app-launch2-dev,
+               libubuntuoneauth-2.0-dev,
+               libdbus-1-dev,
+               libnih-dbus-dev,
+               libclick-0.4-dev,
+               liburl-dispatcher1-dev,
+               libaccounts-glib-dev,
+               cmake,
+               python3,
 Standards-Version: 3.9.5
 Homepage: http://launchpad.net/ubuntu-push
 Vcs-Bzr: lp:ubuntu-push
@@ -41,3 +51,23 @@
  The Ubuntu Push Notifications client-side daemon library.
  .
  This package contains the source.
+
+Package: ubuntu-push-dev-server
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using}
+Description: Ubuntu Push Notifications development & testing server
+ The Ubuntu Push Notifications dev & testing server.
+
+Package: ubuntu-push-autopilot
+Architecture: any
+Multi-Arch: foreign
+Depends: unity8-autopilot,
+         unity-scope-click,
+         ubuntu-push-client,
+Recommends: ubuntu-push-dev-server,
+Built-Using: ${misc:Built-Using}
+Description: Ubuntu Push Notifications autopilot tests
+ The Ubuntu Push Notifications autopilot tests.
