=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH), arm64 powerpc ppc64el))
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64 powerpc ppc64el s390x))
   pkg_configs = ubuntuoneauth-2.0 libaccounts-glib click-0.4 ubuntu-app-launch-2 url-dispatcher-1 messaging-menu dbus-1 libnih libnih-dbus glib-2.0 gobject-2.0
   export CGO_CFLAGS := \
     $(shell $(foreach pkg, $(pkg_configs), pkg-config --cflags $(pkg); ))
@@ -25,6 +25,9 @@
 	dh_auto_build --buildsystem=golang
 	(cd signing-helper && cmake . && make)
 
+override_dh_auto_test:
+	GODEBUG=cgocheck=0 dh_auto_test -O--buildsystem=golang
+
 override_dh_install:
 	dh_install -Xusr/bin/cmd --fail-missing
