=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                golang-go-dbus-dev,
                golang-go-xdg-dev,
                golang-gocheck-dev,
-               golang-gosqlite-dev,
-               golang-uuid-dev,
+               golang-github-mattn-go-sqlite3-dev,
+               golang-github-pborman-uuid-dev,
                libgcrypt11-dev,
                libglib2.0-dev (>= 2.31.6),
                libmessaging-menu-dev,
@@ -24,6 +24,7 @@
                libaccounts-glib-dev,
                cmake,
                python3,
+               upstart,
 Standards-Version: 3.9.5
 Homepage: http://launchpad.net/ubuntu-push
 Vcs-Bzr: lp:ubuntu-push
